Vcard Customizations

GET https://oqp.link/api/vcard-customizations/
curl --request GET \
--url 'https://oqp.link/api/vcard-customizations/?vcard_id={vcard_id}' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
vcard_id Required Integer missing_translation: vcard.input.vcard_id
{ "data": { "vcard_id": 123, "current_settings": { "is_share_button_visible": true, "is_download_button_visible": true, "background_type": "preset", "background_color": "#ffffff", "background_preset": "one", "background_gradient_one": "#ffffff", "background_gradient_two": "#ffffff", "background": "", "font_family": "default", "font_size": 16, "favicon": "", "logo": "", "opengraph": "", "leap_link": null, "title": null, "meta_description": null, "meta_keywords": null }, "theme": "new-york", "custom_js": "", "custom_css": "", "available_themes": { "chicago": { "name": "template", "icon": "fas fa-university" } }, "available_background_presets": { "one": "background: linear-gradient(to right, #4BC0C8, #C779D0, #FEAC5E);", "two": "background: linear-gradient(to right, #3a7bd5, #3a6073);", "three": "background: linear-gradient(to right, #FFC371, #FF5F6D);" }, "available_fonts": { "default": { "name": "Default", "font-family": false, "font_css_url": false }, "arial": { "name": "Arial", "font-family": "Arial, sans-serif", "font_css_url": false } } } }
GET https://oqp.link/api/vcard-customizations/{vcard_id}
curl --request GET \
--url 'https://oqp.link/api/vcard-customizations/{vcard_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "vcard_id": 123, "current_settings": { "is_share_button_visible": true, "is_download_button_visible": true, "background_type": "preset", "background_color": "#ffffff", "background_preset": "one", "background_gradient_one": "#ffffff", "background_gradient_two": "#ffffff", "background": "", "font_family": "default", "font_size": 16, "favicon": "", "logo": "", "opengraph": "", "leap_link": null, "title": null, "meta_description": null, "meta_keywords": null }, "theme": "new-york", "custom_js": "", "custom_css": "", "available_themes": { "chicago": { "name": "template", "icon": "fas fa-university" } }, "available_background_presets": { "one": "background: linear-gradient(to right, #4BC0C8, #C779D0, #FEAC5E);", "two": "background: linear-gradient(to right, #3a7bd5, #3a6073);", "three": "background: linear-gradient(to right, #FFC371, #FF5F6D);" }, "available_fonts": { "default": { "name": "Default", "font-family": false, "font_css_url": false }, "arial": { "name": "Arial", "font-family": "Arial, sans-serif", "font_css_url": false } } } }
POST https://oqp.link/api/vcard-customizations/
curl --request POST \
--url 'https://oqp.link/api/vcard-customizations/' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'vcard_id=123' \
--data-urlencode 'theme=chicago' \
--data-urlencode 'background_type=gradient' \
--data-urlencode 'background_gradient_one=#ff0000' \
--data-urlencode 'background_gradient_two=#00ff00' \
Parameters Details Description
vcard_id Required Integer missing_translation: vcard.input.vcard_id
theme Optional String Theme
background_type Optional String Background (preset, color, gradient, image)
background_preset Optional String Gradient preset (one, two, three, etc.)
background_color Optional String Color (hex color)
background_gradient_one Optional String First color (hex color)
background_gradient_two Optional String Second color (hex color)
font_family Optional String Font family
font_size Optional Integer Font size (14-22)
custom_css Optional String Custom CSS
custom_js Optional String Custom JS
{ "data": { "vcard_id": 123, "message": "Customizations updated successfully" } }
PATCH https://oqp.link/api/vcard-customizations/{vcard_id}
curl --request PATCH \
--url 'https://oqp.link/api/vcard-customizations/{vcard_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'theme=chicago' \
--data-urlencode 'font_family=arial' \
--data-urlencode 'font_size=18' \
Parameters Details Description
theme Optional String Theme
background_type Optional String Background (preset, color, gradient, image)
background_preset Optional String Gradient preset (one, two, three, etc.)
background_color Optional String Color (hex color)
background_gradient_one Optional String First color (hex color)
background_gradient_two Optional String Second color (hex color)
font_family Optional String Font family
font_size Optional Integer Font size (14-22)
custom_css Optional String Custom CSS
custom_js Optional String Custom JS
{ "data": { "vcard_id": 123, "message": "Customizations updated successfully" } }
DELETE https://oqp.link/api/vcard-customizations/{vcard_id}
curl --request DELETE \
--url 'https://oqp.link/api/vcard-customizations/{vcard_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "vcard_id": 123, "message": "Customizations reset to default" } }